<mat-drawer-container
  class="component-info-drawer-container"
  hasBackdrop
  (backdropClick)="closeComponentInfoDrawer()"
>
  <mat-drawer
    class="component-info-drawer"
    #componentInfoDrawer
    position="end"
    mode="side"
  >
    <app-component-more-info
      [componentInfo]="componentInfo"
      (closeDrawer)="closeComponentInfoDrawer()"
    ></app-component-more-info>
  </mat-drawer>

  <mat-drawer-content>
    <h3>{{ stepTitle }}</h3>

    <div id="data-space-setup-page">
      <div class="d-flex">
        <app-context-tree-menu
          [isView]="false"
          [nodeList]="_nodeList"
        ></app-context-tree-menu>

        <div class="ds-graph-chart-wrapper spacer">
          <mat-toolbar class="mat-elevation-z3">
            <button
              class="opacity-0"
              mat-icon-button
              aria-label="Icon-button with Arrow back icon"
            >
              <mat-icon aria-hidden="false" aria-label="Arrow back icon">
                arrow_back
              </mat-icon>
            </button>
            <span>
              <app-breadcrumb
                [dataSpaceName]="_dataSpace.name"
                [dataSpaceId]="_dataSpace.id!"
              ></app-breadcrumb>
            </span>

            <span class="spacer"></span>

            @if (
              pageContentType === "GRAPH_CHART" &&
              _dataSpace.nodeList.length > 1
            ) {
              <button
                color="primary"
                mat-raised-button
                (click)="openAddNodesDialog()"
              >
                <mat-icon class="material-symbols-outlined">
                  view_in_ar
                </mat-icon>
                Add Nodes
              </button>
            }
          </mat-toolbar>

          @if (pageContentType === pageContentTypes.GRAPH_CHART) {
            <app-data-space-graph-chart
              [isTemplatePreview]="false"
              [dataSpace]="dataSpace"
            ></app-data-space-graph-chart>
          } @else if (pageContentType === pageContentTypes.COMPONENTS_TABLE) {
            <app-category-components-table
              [category]="tableCategory"
              (componentConfigurationEvent)="updateCategoryComponents($event)"
              (componentInfoShowEvent)="openComponentInfoDrawer($event)"
            ></app-category-components-table>
          }
        </div>
      </div>
    </div>
  </mat-drawer-content>
</mat-drawer-container>
